# basic_istream< _CharT, _Traits >::sentry Class Template Reference

List of all members.

## Detailed Description

### template<typename _CharT, typename _Traits>
template<typename _CharT, typename _Traits>
class std::basic_istream< _CharT, _Traits >::sentry< _CharT, _Traits >

Objects of this class are created before all of the standard extractors are run. It is responsible for "exception-safe prefix and suffix operations," although only prefix actions are currently required by the standard. Additional actions may be added by the implementation, and we list them in http://gcc.gnu.org/onlinedocs/libstdc++/17_intro/howto.html#5 under [27.6] notes.

Definition at line 622 of file istream.

## Public Types

- typedef __istream_type::__ctype_type __ctype_type
- typedef _Traits::int_type __int_type
- typedef basic_istream< _CharT,
  _Traits > __istream_type
- typedef basic_streambuf< _CharT,
  _Traits > __streambuf_type
- typedef _Traits traits_type

## Member Typedef Documentation

typedef _Traits traits_type

| Easy access to dependant types. Definition at line 626 of file istream.

The documentation for this class was generated from the following file:

- istream